<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<body>

<!--
    Star display
-->
<th:block th:fragment="header(userProfile, avatar, score)">
    <div class="row profileBoxRow profileImageBar">
        <div class="col-xs-7 profileImageCol">
            <a href="/profile"><img th:src="${avatar}" class="fb-photo"/></a>
            <p th:text="${userProfile.firstName.toUpperCase()}" class="first-name"></p>
            <p th:text="${userProfile.lastName.toUpperCase()}" class="second-name"></p>
        </div>
        <div class="col-xs-5 profileImageCol">
            <th:block th:include="fragments/starRating::star(${score.percentage})"/>
            <p class="user-rating">
                <th:block th:text="${score.score}"></th:block>
                <span class="user-max-rating" th:text="${'/ ' + score.maxScore}"></span>
            </p>
        </div>

    </div>
</th:block>

<!--
    User data display
-->
<th:block th:fragment="userData(userData, userProfile, avatar, score)">

    <div class="profileBox userDataBox">

        <th:block th:include="fragments/profile::header(${userProfile}, ${avatar}, ${score})"/>

        <form method="post" th:action="${'/profile/userData/save'}">

            <div class="row profileInfoBar">
                <div class="col-xs-9 profileInfoCol">
                    <div class="row col-xs-12">
                        <input type="text" name="teamName" class="team-name"
                               th:value="${userData?.teamName}"
                               th:placeholder="#{profile.userData.form.label.addTeamName}"/>
                    </div>
                    <div class="row col-xs-12">
                        <input type="text" name="teamLeague" class="team-level-name"
                               th:value="${userData?.teamLeague}"
                               th:placeholder="#{profile.userData.form.label.addChampionshipName}"/>
                    </div>
                </div>
                <div class="col-xs-3 profileInfoCol">
                    <img src="images/profile/t-shirt.png" class="t-shirt"/>
                    <input type="number" name="playerNumber" class="player-number"
                           th:value="${userData?.playerNumber}" placeholder="?" min="0" max="99"/>
                </div>
            </div>

            <div class="row profileBoxRow">
                <p th:text="#{profile.userData.form.label.position}" class="col-xs-5 uppercase"></p>
                <div class="col-xs-7 profileCustomElement">
                    <select name="position">
                        <option th:each="position : ${T(tbt.app.domains.profile.PositionType).values()}"
                                th:value="${position}"
                                th:text="#{${position.i18nCode}}"
                                th:selected="${(userData?.position == position) ? 'true' : 'false'}">
                        </option>
                    </select>
                </div>
            </div>

            <div class="row profileBoxRow">
                <p th:text="#{profile.userData.form.label.dateOfBirth}" class="col-xs-5 uppercase"></p>
                <div class="col-xs-7 profileCustomElement">
                    <input readonly="true" id="dateOfBirth" type="text" class="form-control" name="dateOfBirth"
                           th:placeholder="${T(tbt.app.common.util.AppConstantsUtils).DATE_PATTERN.toLowerCase()}"
                           th:value="${userData?.dateOfBirth != null ? T(tbt.app.common.util.AppConstantsUtils).DATE_FORMAT.format(userData.dateOfBirth) : ''}"/>
                </div>
            </div>

            <div class="row profileBoxRow">
                <p th:text="#{profile.userData.form.label.growth}" class="col-xs-5 uppercase"></p>
                <input type="number" name="growth" th:value="${userData?.growth}" class="col-xs-7" placeholder="0"
                       min="0" max="300"/>
                <span class="unit">cm</span>
            </div>

            <div class="row profileBoxRow">
                <p th:text="#{profile.userData.form.label.weight}" class="col-xs-5 uppercase"></p>
                <input type="number" name="weight" th:value="${userData?.weight}" class="col-xs-7" placeholder="0"
                       min="0" max="500"/>
                <span class="unit">kg</span>
            </div>

            <div class="row profileBoxRow">
                <p th:text="#{profile.userData.form.label.bestLeg}" class="col-xs-5 uppercase"></p>
                <div class="col-xs-7 profileCustomElement">
                    <select name="bestLeg">
                        <option th:each="bestLeg : ${T(tbt.app.domains.profile.BestLegType).values()}"
                                th:value="${bestLeg}"
                                th:text="#{${bestLeg.i18nCode}}"
                                th:selected="${(userData?.bestLeg == bestLeg) ? 'true' : 'false'}">
                        </option>
                    </select>
                </div>
            </div>

            <button id="userDataSaveButton" type="submit"
                    class="btn btn-block mainBackgroundColor profileSaveButton"
                    style="display: none"
                    th:text="#{profile.button.save}">
            </button>

        </form>

    </div>

    <div class="mediaGalleryButton">
        <a href="/profile/mediagallery">
            <div class="col-xs-4 ">
                <img src="images/profile/gallery-media-black.png" class="media-img"/>
            </div>
            <div class="col-xs-8" th:with="message=#{profile.userData.button.mediaGallery}">
                <p th:text="${message.toUpperCase()}" class="media-text"></p>
            </div>
        </a>
    </div>

</th:block>

<!--
    User skills
-->
<th:block th:fragment="skills(skills, skillUserRates, skillTbtRates, quizResults)">

    <div class="profileSkillTitle">
        <p th:text="#{profile.skillTab.title}"></p>
    </div>

    <div id="profileTabs">
        <ul>
            <li class="col-xs-4"><a href="#selfRatingTabContent" class="col-xs-12 selfRatingTab"></a></li>
            <li class="col-xs-4"><a href="#tbtRatingTabContent" class="col-xs-12 tbtRatingTab"></a></li>
            <li class="col-xs-4"><a href="#quizResultTabContent" class="col-xs-12 quizResultTab"></a></li>
        </ul>
        <div id="selfRatingTabContent" class="profileBox">
            <div class="row tabContentName">
                <th:block th:text="#{${'profile.skillTab.name.selfRating'}}"/>
            </div>
            <th:block th:each="category:${T(tbt.app.domains.skill.Category).sortedValues}">
                <th:block th:include="fragments/userSkill::item(${category}, ${skills}, ${skillUserRates})"/>
            </th:block>
        </div>
        <div id="tbtRatingTabContent" class="profileBox">
            <div class="row tabContentName">
                <th:block th:text="#{${'profile.skillTab.name.tbtRating'}}"/>
            </div>
            <th:block th:each="category:${T(tbt.app.domains.skill.Category).sortedValues}">
                <th:block th:include="fragments/tbtSkill::item(${category}, ${skills}, ${skillTbtRates})"/>
            </th:block>
        </div>
        <div id="quizResultTabContent" class="profileBox">
            <div class="row tabContentName">
                <th:block th:text="#{${'profile.skillTab.name.quizResult'}}"/>
            </div>
            <th:block th:each="category:${T(tbt.app.domains.skill.Category).sortedValues}">
                <th:block th:include="fragments/quizResult::item(${category}, ${skills}, ${quizResults})"/>
            </th:block>
        </div>
    </div>

</th:block>

</body>
</html>